GCLOUD_COMPUTE_ADDRESSES_LIST(1)

NAME

gcloud compute addresses list - list addresses

SYNOPSIS

gcloud compute addresses list [NAME ...] [--regexp=REGEXP, -r REGEXP] [--global | --regions=[REGION,...]] [--filter=EXPRESSION] [--limit=LIMIT] [--page-size=PAGE_SIZE] [--sort-by=[FIELD,...]] [--uri] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute addresses list lists summary information of addresses in a project. The --uri option can be used to display URIs instead. Users who want to see more data should use gcloud compute addresses describe. By default, global addresses and addresses from all regions are listed. The results can be narrowed down by providing the --regions or --global flag.

POSITIONAL ARGUMENTS

    [NAME ...]
        If provided, show details for the specified names and/or URIs of resources.

FLAGS

    --regexp=REGEXP, -r REGEXP
        A regular expression to filter the names of the results on. Any names that do not match the entire regular expression will be filtered out.

At most one of these may be specified:

    --global
        If provided, only global resources are shown.

    --regions=[REGION,...]
        If provided, only regional resources are shown. If arguments are provided, only resources from the given regions are shown.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --page-size=PAGE_SIZE
        Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.

    --sort-by=[FIELD,...]
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --uri
        Print a list of resource URIs instead of the default output.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To list all addresses in a project in table form, run:
    $ gcloud compute addresses list
To list the URIs of all addresses in a project, run:
    $ gcloud compute addresses list --uri
To list all of the global addresses in a project, run:
    $ gcloud compute addresses list --global
To list all of the regional addresses in a project, run:
    $ gcloud compute addresses list --regions
To list all of the addresses from the us-central1 and the europe-west1 regions, run:
    $ gcloud compute addresses list --regions us-central1,europe-west1